Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class OptionsGroup

    java.lang.Object
      portlets.compoze.groupware.OptionsGroup

All Implemented Interfaces:
  java.io.Serializable

public class OptionsGroup
extends java.lang.Object
implements java.io.Serializable

This class represents the options group. It contains the options and their associated status.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `OptionsGroup.Option` This class represents an option.
`static class` | `OptionsGroup.Status` This class represents an option status.

Constructor Summary
`OptionsGroup(Accounts accounts, FeatureGroup featureGroup)` Constructor.

Method Summary
`boolean` | `checkStatus(OptionsGroup.Option option, OptionsGroup.Status status)` Checks if the option status matches the specified status.
`OptionsGroup.Status` | `getStatus(OptionsGroup.Option option)` Gets the option status for the specified option.
`void` | `setActiveOption(OptionsGroup.Option option)` Sets the option status as `Status.ACTIVE` for the specified option.
`void` | `setStatus(OptionsGroup.Option option, OptionsGroup.Status status)` Sets the option status for the specified option.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionsGroup

    public OptionsGroup(Accounts accounts,
                        FeatureGroup featureGroup)

  Constructor.

Parameters:
  `accounts` - the accounts
  `featureGroup` - the feature group (may not be `null`)

Method Detail

### setActiveOption

    public void setActiveOption(OptionsGroup.Option option)

  Sets the option status as `Status.ACTIVE` for the specified option.

  Parameters:
    `option` - the option to set (may not be `null`)

### getStatus

    public OptionsGroup.Status getStatus(OptionsGroup.Option option)

  Gets the option status for the specified option.

  Parameters:
    `option` - the option
  Returns:
    the option status

### setStatus

    public void setStatus(OptionsGroup.Option option,
                          OptionsGroup.Status status)

  Sets the option status for the specified option.

  Parameters:
    `option` - the option
    `status` - the option status

### checkStatus

    public boolean checkStatus(OptionsGroup.Option option,
                               OptionsGroup.Status status)

  Checks if the option status matches the specified status.

  Parameters:
    `option` - the option to check (may not be `null`)
    `status` - the status to check for (may not be `null`)
  Returns:
    `true` if the status matches; `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.